%% Analyze low-mid income, high-income and BIC region 
%   using shpfile
%   Middle-high income with current risk: Japan (234), South Korea (235),
%       China (1), Brazil (139),  Thailand (242), USA (5&45)
%   Low income with current risk: India (238), Indonesia (239), 
%       Viet Nam (247), Pakistan (221), Cambodia (228), Myanmar (233)
%       Bangladesh (224), Philippines (240), Indonesia (239)
tic
clc;clearvars
load 'results\New_results_from_ESDAC_P_pools\Global_risk_difference_current_200ppm.mat'
[lat_,lon_] =meshgrid(lat,lon); 
lat_ =lat_';
lon_ =lon_';
World = shaperead('data\shpFiles\.shp');
% Middle-High-income
data = nan(360,720);    data(:,:) = 1;
lon_sel = [World(234).X,World(235).X,World(1).X,World(139).X,World(242).X, ...
    World.X(5),World.X(45)];
lat_sel = [World(234).Y,World(235).Y,World(1).Y,World(139).Y,World(242).Y, ...
    World.Y(5),World.Y(45)];   
isin = inpolygon(lat_,lon_,lat_sel,lon_sel);
data(~isin) = NaN;
select_risk_diff_middle_high_income = risk_yield_reduction_difference.*data;
% Low-mid income
data = nan(360,720);    data(:,:) = 1;
lon_sel = [World(238).X,World(239).X, ...
    World(247).X,World(221).X,World(228).X,World(233).X,World(224).X, ...
    World(240).X,World(239).X,];
lat_sel = [World(238).Y,World(239).Y, ...
    World(247).Y,World(221).Y,World(228).Y,World(233).Y,World(224).Y, ...
    World(240).Y,World(239).Y,]; 
isin = inpolygon(lat_,lon_,lat_sel,lon_sel);
data(~isin) = NaN;
select_risk_diff_low_income = risk_yield_reduction_difference.*data;
reshape_risk_diff_low = reshape(select_risk_diff_low_income,360*720,1);
reshape_risk_diff_low(find(isnan(reshape_risk_diff_low))) = [];
reshape_risk_diff_high = reshape(select_risk_diff_middle_high_income,360*720,1);
reshape_risk_diff_high(find(isnan(reshape_risk_diff_high))) = [];
toc