%% Extract rice pixels
clc;clearvars
load 'data\SPAM_global_irrigated_rice_harvested_area_point5.mat'
load 'data\Global_p_manure\global_p_manure_kg_ha_360_720_pixels.mat'
rice_crop = harvested_area_point5;
rice_crop(rice_crop<10) = nan;
rice_crop(~isnan(rice_crop)) = 1;
% Extract C3 crop pixels
c3_crop_p_manure = p_manure_final.*rice_crop/10;
unit = 'kg/ha';
%% calculate national average
%   Country name(country ID): China(1), India(238), Indonesia(239),
%   Bangladesh(224), Viet Nam(247)
%   Thailand(242), Myanmar(233), Philippines(240), Brazil(139), Japan(234)
%   Pakistan(221), USA(5&45), Cambodia(228), South Korea(235)
global_country = shaperead('data\shpFiles\.shp');
country_id = [1;238;239;224;247;242;233;240;139;234;221;5;228;235];
[lat_,lon_] = meshgrid(lat_final,lon_final);
for i=1:length(country_id)
    lon_sel                                 = [global_country(country_id(i)).X];
    lat_sel                                 = [global_country(country_id(i)).Y];
    isin                                    = inpolygon(lat_,lon_,lat_sel,lon_sel);
    temp_p_manure = c3_crop_p_manure(isin);
    excel_p_manure(i,1) = nanmean(temp_p_manure);
    i
end