%% Tabulate risk area for each country
%   country ID
%   China:1, India: 238, Indonesia: 239, Bangladesh: 224, Viet Nam: 247
%   Thailand: 242, Myanmar: 233, Philippines: 240, Brazil: 139
%   Japan: 234, Pakistan: 221, USA: 5&45, Cambodia: 228, South Korea: 235
tic
clc;clearvars
load 'results\New_results_from_ESDAC_P_pools\Global_risk_current_future_rice_region.mat'
load 'results\New_results_from_ESDAC_P_pools\Global_risk_difference_current_200ppm.mat'
load 'results\New_results_from_ESDAC_P_pools\Global_risk_difference_environment_current_200ppm.mat'
[lat_,lon_] =meshgrid(lat,lon); 
lat_ =lat_';
lon_ =lon_';
World = shaperead('data\shpFiles\.shp');
area_risk_yield_reduction_current = nan(15,6); % total & 5 levels
area_risk_yield_reduction_future = nan(15,6);
area_risk_environmen_current = nan(15,3);
area_risk_environment_future = nan(15,3);
area_risk_difference_yield_reduction = nan(15,4);
area_risk_difference_environmen = nan(15,3);
test_country = cell(15);
id_country = [1;238;239;224;247;242;233;240;139;234;221;5;45;228;235];
for i=1:15
    data = nan(360,720);    data(:,:) = 1;
    lon_sel = World(id_country(i)).X;
    lat_sel = World(id_country(i)).Y;
    test_country{i} = World(id_country(i)).NAME;
    isin = inpolygon(lat_,lon_,lat_sel,lon_sel);
    data(~isin) = NaN;
    %   For current yield reduction risk
    select_risk_yield_current = risk_lab_current.*data;
    temp_area_total = numel(find(~isnan(select_risk_yield_current)));
    temp_area_level_1 = numel(find(select_risk_yield_current==1));
    temp_area_level_2 = numel(find(select_risk_yield_current==2));
    temp_area_level_3 = numel(find(select_risk_yield_current==3));
    temp_area_level_4 = numel(find(select_risk_yield_current==4));
    temp_area_level_5 = numel(find(select_risk_yield_current==5));
    area_risk_yield_reduction_current(i,:) = [temp_area_total, ...
        temp_area_level_1,temp_area_level_2,temp_area_level_3, ...
        temp_area_level_4,temp_area_level_5];
    %   For future yield reduction risk
    select_risk_yield_future = risk_lab_future_200ppm.*data;
    temp_area_total = numel(find(~isnan(select_risk_yield_future)));
    temp_area_level_1 = numel(find(select_risk_yield_future==1));
    temp_area_level_2 = numel(find(select_risk_yield_future==2));
    temp_area_level_3 = numel(find(select_risk_yield_future==3));
    temp_area_level_4 = numel(find(select_risk_yield_future==4));
    temp_area_level_5 = numel(find(select_risk_yield_future==5));
    area_risk_yield_reduction_future(i,:) = [temp_area_total, ...
        temp_area_level_1,temp_area_level_2,temp_area_level_3, ...
        temp_area_level_4,temp_area_level_5];
    %   For yield reduction risk difference
    select_risk_difference_yield = risk_yield_reduction_difference.*data;
    temp_area_total = numel(find(~isnan(select_risk_difference_yield)));
    temp_area_level_0 = numel(find(select_risk_difference_yield==0));
    temp_area_level_1 = numel(find(select_risk_difference_yield==1));
    temp_area_level_2 = numel(find(select_risk_difference_yield==2));
    area_risk_difference_yield_reduction(i,:) = [temp_area_total, ...
        temp_area_level_0,temp_area_level_1,temp_area_level_2];
    %   For current potential environmental risk
    select_risk_environment_current = risk_environment_current.*data;
    temp_area_total = numel(find(~isnan(select_risk_environment_current)));
    temp_area_level_0 = numel(find(select_risk_environment_current==0));
    temp_area_level_1 = numel(find(select_risk_environment_current==1));
    area_risk_environmen_current(i,:) = [temp_area_total, ...
        temp_area_level_0,temp_area_level_1];
    %   For future potential environment risk
    select_risk_environment_future = risk_environment_future_200ppm.*data;
    temp_area_total = numel(find(~isnan(select_risk_environment_future)));
    temp_area_level_0 = numel(find(select_risk_environment_future==0));
    temp_area_level_1 = numel(find(select_risk_environment_future==1));
    area_risk_environment_future(i,:) = [temp_area_total, ...
        temp_area_level_0,temp_area_level_1];
    %   For potentiak environment risk difference
    select_risk_difference_environment = risk_environment_difference.*data;
    temp_area_total = numel(find(~isnan(select_risk_difference_environment)));
    temp_area_level_minus_0 = numel(find(select_risk_difference_environment==-1));
    temp_area_level_0 = numel(find(select_risk_difference_environment==0));
    area_risk_difference_environmen(i,:) = [temp_area_total, ...
        temp_area_level_minus_0,temp_area_level_0];
    i
    World(id_country).NAME
end
toc